BizKitHub
DocsAPI ReferenceWebhook/bff/webhook/deliveries
getWebhookAdmin BFF

/bff/webhook/deliveries

Paginated deliveries of a webhook endpoint

WebhookgetBffWebhookDeliveries

Parameters

7 query

Query parameters

· 7
idstringRequired
Exampleexample_id
statestringOptional

pending | delivered | failed

Exampleexample_state
eventstringOptional

Exact event name, e.g. shipment.created.

Exampleexample_event
filterFulltextQuerystringOptional

DataGrid fulltext over error, response body and delivery id.

Exampleexample_filterFulltextQuery
orderBystringOptional

DataGrid sort, field:asc|desc.

Exampleexample_orderBy
pagestringOptional
Exampleexample_page
limitstringOptional
Exampleexample_limit

Response schema

1 status code documented

200Success
itemsobject[]Required
Each array item:
idstringRequired
eventstringRequired
statestringRequired

pending | delivered | failed

attemptCountnumberRequired
responseStatusnumber | nullRequired
One of 2:
Variant 1
number
Variant 2
null
responseBodystring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
errorstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
durationMsnumber | nullRequired
One of 2:
Variant 1
number
Variant 2
null
insertedDatestringRequired
deliveredDatestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
nextAttemptDatestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
itemCountnumberRequired

Response example

application/json
{
  "items": [
    {
      "id": "example_id",
      "event": "example_event",
      "state": "example_state",
      "attemptCount": 0,
      "insertedDate": "example_insertedDate"
    }
  ],
  "itemCount": 0
}

Request example

GET /bff/webhook/deliveries

get
curl -X GET "https://api.bizkithub.com/bff/webhook/deliveries?id=example_id&state=example_state&event=example_event&filterFulltextQuery=example_filterFulltextQuery&orderBy=example_orderBy&page=example_page&limit=example_limit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key